Subject: Re: Thanks for the help
From: [email-masked] (Mikey)

13 Jun 1997 22:34:17 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-To: jfmiller <[email-masked]>, [email-masked]
In-Reply-To: <[email-masked]>
X-Mailer: Forte Agent 1.01/32.397
Original-Sender: [email-masked]

Bash is to command.com what Arnold Swartchnegger 
(or however you spell it) is to me, (a 150 lb computer geek).

Bash is the default startup command processor for most unix
workstations, probably what you will get if you ever dial in to your
ISP, and access your shell account.

It is incredibly useful, and can allow you to do many things
from the command prompt that would be difficult, or impossible
from command.com.

It is essential for rebuilding the cygnus tools, if you type configure
at the DosBox prompt, command com will scream in horror, and
die.

It is a little more complicated to configure however,
there is a pointer on the cygnus WWW page to some help for
setting up bash.

On Thu, 12 Jun 1997 15:45:46 -0700, you wrote:

>Dear All
>
>I would like to thank everyone who helped me get the compiler up and
>running.  I've had harder times getting answers out of Micro$oft (at
>$0.65/min) I really do appriciat all of you taking the time to help
>those of us who wand to dive head first into this thing.  for those of
>you who are wondering here's what I did:
>
>> 1) I want to write original win32 programs and I'm not nessacely
>> intrested in porting anything. Do I need all of the cdk.exe stuff? and
>> could someone explain what is in all the (important) directories.
>
>by unamious concent I did indeed chechout and ust the minimulist win32
>page.  while the documentation could use a little calirifaction the
>package worked great.  BTW Colin Peters and Cygnus have made it on to my
>list of people to send money to if I ever become rich (don't hold your
>breath, it's not likely to happen any time soon)
> 
>> 2) What is BASH?  how and why do I use it?  I have used unix (AIX) on
>> CalPoly's server but I'm not real fimiliar with it.  
>
>Still don't really know the answer to this but I don't seem to need it
>so...
> 
>> 3) I'm am new to windows programming. (I'm sure that this fact is
>> blatintly clear by now)  Are there any books (or even better internet
>> sourses) that would explain at least some of the basics?  Most of the
>> books I have found are writen assuming one has either MSVC or BC.  will
>> any of these work?
>
>_Programming_Windows_95_ By Charles Petzold pub. Micro$oft Press.  This
>book was recomended both here and by some profs here at CalPoly.  It's a
>great boog and works well with gnu-win32.  
> 
>> 4) I followed the directions in the FAQ on how to install Cygnus32
>> however dos gives me the message "Out of envrioment space"  are there
>> any remidies for this. (I've gotten the impression that bash may hold
>> the solution to this problem but as I said some of the un*x lingo is a
>> bit over my head)
>
>either
>config.sys:
>
>shell=c:\command.com /p /e:1024
>
>or 
>
>at dos prompt type command.con /p /e:1024  <-- I use this.
>
>> 5) Finaly could someone point me to some programs that have been made
>> the gnu-win32 (btw is this what you call this thing) that have bothe the
>> exicutable and the source as an example of how to do this?
>
>I have a realy basic one that I will give to anyone who asks (don't
>expect much it's just the chapter 1 exersize from Petzold but it works!)
>
>
>thanks again.  
>
>John Miller
>[email-masked]
>
>
>P.S.  I will be dropping this mailing list in favor of the anouncments
>list because of the volume of mail and summer vacation.
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".